Repository 32bit  Forum
Repository 64bit  Wiki

Far funzionare programmi current su Slack 12.2

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Far funzionare programmi current su Slack 12.2

Messaggioda gabry » mer feb 29, 2012 9:50

Carissimi,
attualmente ho una slack 12.2 kernel 2.32.x che funziona egregiamente sul mio vecchio Notebook Compaq Presario R3000.
Ho la necessità di far funzionare chrome e Libre Office ultime release:
Entrambi mi richiedono pacchetti più aggiornati di gcc e librerie figlie di natura c++. Domande:
1.Posso aggiornare semplicemente quel pacchetto e le librerie richieste prese da slack 13.37 e mantenere per il resto la mia distribuzione 12.2?
2. Per quanto concerne la sicurezza, quali sono i pacchetti critici che dovrei necessariamente aggiornare mantenendo la mia versione di slack preferita (12.2)?

Nota:qualcuno potrebbe suggerire di upgradare la mia slack a l'ultima!! Non è quello che desidero poichè mi trovo bene così e soprattutto con kde 3.5.10. La versione 4 che uso quotidianamente su altro pc a mio avviso non è ancora un progetto del tutto maturo!!

Vi ringrazio per la Vs. come sempre preziosa collaborazione!!
Un saluto tutti gli slackwareisti!!
Gabry
gabry
Linux 1.0
Linux 1.0
 
Messaggi: 35
Iscritto il: mar giu 20, 2006 14:39
Slackware: 12.2
Kernel: 2.32.x
Desktop: KDE

Re: Far funzionare programmi current su Slack 12.2

Messaggioda 414N » mer feb 29, 2012 10:07

gabry ha scritto:Entrambi mi richiedono pacchetti più aggiornati di gcc e librerie figlie di natura c++. Domande:
1.Posso aggiornare semplicemente quel pacchetto e le librerie richieste prese da slack 13.37 e mantenere per il resto la mia distribuzione 12.2?

Se devi aggiornare gcc e le glibc allora rischi di dover ricompilare ogni singolo pacchetto installato sul sistema con le nuove versioni.
È lo stesso motivo per il quale è sconsigliato installare pacchetti da current (compilati con gcc e glibc più recenti) su una stable: si rischia che i programmi non trovino dei simboli introdotti nelle nuove versioni di glibc.
gabry ha scritto:2. Per quanto concerne la sicurezza, quali sono i pacchetti critici che dovrei necessariamente aggiornare mantenendo la mia versione di slack preferita (12.2)?

Dipende: gli aggiornamenti ufficiali li trovi nella directory patches/ di un qualsiasi mirror Slackware contenente Slackware 12.2, mentre, per quanto riguarda i manuali, dipende da cosa utilizzi: se usi httpd, bind et similia una prova di compilazione da sorgenti di una delle ultime versioni la farei...
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2884
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Far funzionare programmi current su Slack 12.2

Messaggioda Blallo » mer feb 29, 2012 10:10

gabry ha scritto:1.Posso aggiornare semplicemente quel pacchetto e le librerie richieste prese da slack 13.37 e mantenere per il resto la mia distribuzione 12.2?

No. Non puoi aggiornare gcc e librerie così "delicate". I programmi della 12.2 sono "legati" a quella data versione di glibc, non può essere modificata.
gabry ha scritto:2. Per quanto concerne la sicurezza, quali sono i pacchetti critici che dovrei necessariamente aggiornare mantenendo la mia versione di slack preferita (12.2)?

Se usi dei tool tipo slackpkg, Pat rilascia sempre gli aggiornamenti di sicurezza se sono critici. Uno di questi (mi pare per ssh, ma potrei sbagliare) è stato rilasciato addirittura fino alla Slackware 9.0.
gabry ha scritto:Nota:qualcuno potrebbe suggerire di upgradare la mia slack a l'ultima!!

Io AMO la 12.2, ma se hai proprio bisogno di questi aggiornamenti, io ci penserei.
Il progetto Trinity (che mira a fare il porting di kde3 sulle qt4, potrebbe quindi fare al caso tuo) ha ora i pacchetti anche per 13.37, messi a disposizione dal sempre pronto ponce
32bit: http://ponce.cc/testing/alekow/kde-3.5_ ... /packages/
64bit: http://ponce.cc/testing/kde-3.5.10-x86_64/
Io sono il detective Arsenio Magret, e porto sempre la camicia TATUATA!
Avatar utente
Blallo
Packager
Packager
 
Messaggi: 3244
Iscritto il: ven ott 12, 2007 10:37
Località: Torino / Torremaggiore (FG)
Nome Cognome: Savino Liguori
Slackware: 14.1 / 12.2
Kernel: 3.12.2-ck
Desktop: Openbox

Re: Far funzionare programmi current su Slack 12.2

Messaggioda miklos » mer feb 29, 2012 11:37

l'alternativa è compilare i suddetti programmi(sempre che tu non ci abbia già provato).. per chrome puoi usare chromium che dovrebbe essere abbastanza simile (non ne conosco le differenze peculiari) idem per openoffice/libreoffice.
come suggerito da altri aggiornare le glib equivarrebbe ad aggiornare totalmente la distribuzione.

EDIT: per quanto riguarda gli aggiornamenti di sicurezza io non me ne curo piu' di tanto(a parte firefox) visto che comunque spesso vengono aggiornati i server e il mio notebook non è accessibile dall'esterno e tanti di quei server non sono nemmeno attivi
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1282
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: Far funzionare programmi current su Slack 12.2

Messaggioda hashbang » mer feb 29, 2012 12:09

Potresti usare applicazioni portable. Le trovi qui.

Provale.
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1842
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro


Torna a Slackware

Chi c’è in linea

Visitano il forum: Google [Bot] e 3 ospiti